# Class CSS3DRenderer

- Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:34

##### Index

### Constructors

constructor

### Properties

domElement

### Methods

getSize
markDirty
render
setSize
updateSpriteSet

## Constructors

### constructor

- new CSS3DRenderer(parameters?: CSS3DRendererParameters): CSS3DRenderer

  #### Parameters

  - `Optional` parameters: CSS3DRendererParameters

  #### Returns CSS3DRenderer

  - Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:36

## Properties

### domElement

domElement: HTMLElement

- Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:37

## Methods

### getSize

- getSize(): { height: number; width: number }

  #### Returns { height: number; width: number }

  - Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:39

### markDirty

- markDirty(): void

  #### Returns void

  - Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:41

### render

- render(scene: Scene, camera: Camera): void

  #### Parameters

  - scene: Scene
  - camera: Camera

  #### Returns void

  - Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:43

### setSize

- setSize(width: number, height: number): void

  #### Parameters

  - width: number
  - height: number

  #### Returns void

  - Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:40

### updateSpriteSet

- updateSpriteSet(scene: Scene): void

  #### Parameters

  - scene: Scene

  #### Returns void

  - Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:42